#if !defined(AFX_DIRECTXPARTICLEPLANAROBJECT_H__E8F75F53_5518_4F14_9351_CBA6B9E8BE88__INCLUDED_)
#define AFX_DIRECTXPARTICLEPLANAROBJECT_H__E8F75F53_5518_4F14_9351_CBA6B9E8BE88__INCLUDED_

#include "ParticlePlanarObject.h"

#include "Graph3D.h"



//#define D3DFVF_DIRECT3DPARTICLEVERTEX (D3DFVF_XYZ|D3DFVF_DIFFUSE|D3DFVF_TEX1)
#define D3DFVF_DIRECT3DPARTICLEVERTEX (D3DFVF_XYZRHW|D3DFVF_DIFFUSE|D3DFVF_TEX1)

struct DIRECT3DPARTICLEVERTEX
{
    D3DXVECTOR3 position;	// The position
	float		rhw;
	D3DCOLOR    color;		// The color
    FLOAT       tu, tv;		// The texture coordinates
};


class CGDirectXParticlePlanarObject : public CGParticlePlanarObject
{
public:
	CGDirectXParticlePlanarObject();
	virtual ~CGDirectXParticlePlanarObject();

	// metoda ma wczytywac teksture z pliku i zwrocona ma byc w postaci zrzutowanej na void
	virtual void* LoadTexture(const char* szFileName);
	// tu trzeba przejsc z void* na klase tekstury i zrobic ja aktywna dla renderingu
	// ustawic blending, wylaczyc zapisywanie do z-bufora
	virtual void PrepareToDisplay(void* pTexture, int nAdditive);
	// wyswietlenie pojedynczego planara
	virtual void Display();
	// przywrocenie domyslnych ustawien p0o narysowaniu wszytskich planarow
	virtual void RestoreAfterDisplay();

	DIRECT3DPARTICLEVERTEX*		m_pParticlePlanar;
	D3DMATERIAL8				m_ParticleMaterial;
};




#endif // !defined(AFX_DIRECTXPARTICLEPLANAROBJECT_H__E8F75F53_5518_4F14_9351_CBA6B9E8BE88__INCLUDED_)


